Index: source/keyUtils.py
===================================================================
--- source/keyUtils.py	(revision 3380)
+++ source/keyUtils.py	(working copy)
@@ -108,6 +108,24 @@
 		wx.Yield()
 
 localizedKeyLabels={
+'browser_back': _("previous page"),
+'browser_forward': _("next page"),
+'browser_refresh': _("refresh page"),
+'browser_stop': _("close web browser"),
+'browser_search': _("my search page"),
+'browser_favorites': _("my favorites"),
+'browser_home': _("my home page"),
+'volume_mute': _("mute"),
+'volume_down': _("decrease volume"),
+'volume_up': _("increase volume"),
+'extendedmedia_next_track': _("next track"),
+'extendedmedia_prev_track': _("previous track"),
+'extendedmedia_stop': _("stop"),
+'extendedmedia_play_pause':_("play pause"),
+'launch_mail': _("launch email"),
+'LAUNCH_MEDIA_SELECT': _("launch media player"),
+'launch_app1': _("custom applications key one"),
+'launch_app2': _("custom applications key two"),
 	'back': _("backspace"),
 	'capital': _("caps lock"),
 	'control': _("ctrl"),
@@ -129,7 +147,7 @@
 	'extendeddown': _("down arrow"),
 	'extendedapps': _("applications"),
 	'extendednumlock': _("num lock"),
-	'extendedsnapshot': _("snapshot"),
+	'extendedsnapshot': _("print screen"),
 	'scroll': _("scroll lock"),
 	'left': _("numpad left"),
 	'right': _("numpad right"),
Index: source/vkCodes.py
===================================================================
--- source/vkCodes.py	(revision 3380)
+++ source/vkCodes.py	(working copy)
@@ -27,6 +27,24 @@
 	'SELECT': 41,
 	'RMENU': 165,
 	'SNAPSHOT': 44,
+	'BROWSER_BACK': 0xA6,
+	'BROWSER_FORWARD': 0xA7,
+	'BROWSER_REFRESH': 0xA8,
+	'BROWSER_STOP': 0xA9,
+	'BROWSER_SEARCH': 0xAA,
+	'BROWSER_FAVORITES': 0xAB,
+	'BROWSER_HOME': 0xAC,
+	'VOLUME_MUTE': 0xAD,
+	'VOLUME_DOWN': 0xAE,
+	'VOLUME_UP': 0xAF,
+	'MEDIA_NEXT_TRACK': 0xB0,
+	'MEDIA_PREV_TRACK': 0xB1,
+	'MEDIA_STOP': 0xB2,
+	'MEDIA_PLAY_PAUSE': 0xB3,
+	'LAUNCH_MAIL': 0xB4,
+	'LAUNCH_MEDIA_SELECT': 0xB5,
+	'LAUNCH_APP1': 0xB6,
+	'LAUNCH_APP2': 0xB7,
 	'XBUTTON': 26,
 	'END': 35,
 	'DIVIDE': 111,
@@ -90,6 +108,24 @@
 }
 
 byCode={
+	0xA6: 'BROWSER_BACK',
+	0xA7: 'BROWSER_FORWARD',
+	0xA8: 'BROWSER_REFRESH',
+	0xA9: 'BROWSER_STOP',
+	0xAA: 'BROWSER_SEARCH',
+	0xAB: 'BROWSER_FAVORITES',
+	0xAC: 'BROWSER_HOME',
+	0xAD: 'VOLUME_MUTE',
+	0xAE: 'VOLUME_DOWN',
+	0xAF: 'VOLUME_UP',
+	0xB0: 'MEDIA_NEXT_TRACK',
+	0xB1: 'MEDIA_PREV_TRACK',
+	0xB2: 'MEDIA_STOP',
+	0xB3: 'MEDIA_PLAY_PAUSE',
+	0xB4: 'LAUNCH_MAIL',
+	0xB5: 'LAUNCH_MEDIA_SELECT',
+	0xB6: 'LAUNCH_APP1',
+	0xB7: 'LAUNCH_APP2',
 	1: 'LBUTTON',
 	2: 'RBUTTON',
 	3: 'CANCEL',
